Subject: Re: bug#10652 font-lock very slow for C++

From: Toon Claes <[email-masked]>
Date: Thu, 29 Mar 2012 21:46:03 +0200

Hi Alan,

About:
(i) yes I've tried that, emacs -Q didn't make a difference
(ii) I am using emacs from git, commit 2ac37884107bd4e78bb… Should I get it from the bazaar repo?
(iii) I know font-lock has nothing to do with isearch. When I disable font-lock-mode for the buffer, isearch does not hang. So the issue isn't isearch. Sorry I created some confusion in previous mail.

Toon

On 29 Mar 2012, at 11:35, Alan Mackenzie wrote:

> Hi, Toon.
> 
> On Wed, Mar 28, 2012 at 09:07:23AM +0200, Toon Claes wrote:
> 
> 
>> Hello Alan, 
> 
>> Your changes indeed help. 
> 
>> Still it happens emacs
>> completely hangs when isearching. So I do not really agree the bug is
>> fixed. 
> 
> Sorry about that!  Can I assume
> (i) You've already tried this, starting Emacs with Emacs -Q?
> (ii) Youre using the latest version of Emacs 24?
> 
> Searching and C++ Mode are, as far as I know, completely orthogonal.
> Before going any further, could you please try switching the file into
> fundamental mode (with M-x fundamental-mode) and tell me if the search
> still hangs.  Thanks!
> 
> [ .... ]
> 
>> Regards, 
> 
>> Toon 
> 
> -- 
> Alan Mackenzie (Nuremberg, Germany).